package com.goldenwater.yjjt.service;

import java.util.List;
import java.util.Map;
import com.goldenwater.yjjt.domain.YjjtSzData;

/**
 * 引江济太水质数据Service接口
 */
public interface IYjjtSzDataService
{
    public YjjtSzData selectYjjtSzDataById(Long id);

    public List<YjjtSzData> selectYjjtSzDataList(YjjtSzData szData);

    public int insertYjjtSzData(YjjtSzData szData);

    public int updateYjjtSzData(YjjtSzData szData);

    public int deleteYjjtSzDataByIds(Long[] ids);

    public int deleteYjjtSzDataById(Long id);

    public List<String> selectDistinctRvnmList();

    public List<Map<String, Object>> selectCountByDateRange(String beginDate, String endDate);

    public Map<String, Object> selectTodayWeekMonthCount(String addvcd);
}
